﻿using PrecastConcretePlantDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PrecastConcretePlantContracts.ViewModels
{
    public class ShopViewModel : IShopModel
    {
        [DisplayName("Название магазина")]
        public string Name { get; set; } = string.Empty;

        [DisplayName("Адрес магазина")]
        public string Address { get; set; } = string.Empty;

        [DisplayName("Время открытия")]
        public DateTime DateOpening { get; set; } = DateTime.Now;

        public Dictionary<int, (IReinforcedModel, int)> Reinforcedies
        {
            get;
            set;
        } = new();

        public int Id { get; set; }
    }
}
